Subject: Ticket Assigned - Click & Collect
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Mon, 12 Apr 2021 07:22:32 +0000

Hi Amir Aziz,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Till now I dintbreceive my order it was clicked and collect which I placed on 22nd march very bad service and yeah am going to place this every where on social websites that ur service is too n no response too from ur side this is ur customer service u guys cheat the customers if I don't receive my order in a day refund back my amount I don't want to purchase from this store any more l https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2389018